Package: org.grails.encoder

## [Java] Class EncodingStateRegistryLookupHolder

- org.grails.encoder.EncodingStateRegistryLookupHolder

-     public class EncodingStateRegistryLookupHolder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static Holder<EncodingStateRegistryLookup>` | `holder` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private EncodingStateRegistryLookupHolder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `clear()`
    `` | `public static EncodingStateRegistryLookup` | `getEncodingStateRegistryLookup()`
    `` | `public static void` | `setEncodingStateRegistryLookup(EncodingStateRegistryLookup lookup)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static Holder<EncodingStateRegistryLookup> holder

  - ### Constructor Detail

    - #### private EncodingStateRegistryLookupHolder()

  - ### Method Detail

    - #### public static void clear()

    - #### public static EncodingStateRegistryLookup getEncodingStateRegistryLookup()

    - #### public static void setEncodingStateRegistryLookup(EncodingStateRegistryLookup lookup)